package com.hzya.frame.plugin.cinvoice.lexmis.entity;

import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.math.BigDecimal;

import com.hzya.frame.web.entity.BaseEntity;

/**
 * @description: 迈锐思-增值税发票子表
 * @tableName: LEXMISCIV_INVOICEDETAIL
 * @entityName: LexmiscivInvoicedetailEntity
 * @author: gjh
 * @history: 1.0
 */
public class LexmiscivInvoicedetailEntity extends BaseEntity {
    public LexmiscivInvoicedetailEntity() {

    }

    public LexmiscivInvoicedetailEntity(String ID_MAINID, String dataSourceCode) {
        this.ID_MAINID = ID_MAINID;
        this.setDataSourceCode(dataSourceCode);
    }

    /**
     * 无备注
     */
    private String ID_ID;
    /**
     * 无备注
     */
    private String ID_MAINID;
    /**
     * 无备注
     */
    private String ID_ROWID;
    /**
     * 无备注
     */
    private String ID_ACCOUNTNAME;
    /**
     * 无备注
     */
    private String ID_SERVICENM;
    /**
     * 无备注
     */
    private String ID_SERVICETYPE;
    /**
     * 无备注
     */
    private BigDecimal ID_PRICE;
    /**
     * 无备注
     */
    private String ID_UNIT;
    /**
     * 无备注
     */
    private BigDecimal ID_NUM;
    /**
     * 无备注
     */
    private BigDecimal ID_NOTAXAMOUNT;
    /**
     * 无备注
     */
    private BigDecimal ID_TAX;
    /**
     * 无备注
     */
    private BigDecimal ID_TAXAMOUNT;


    /**
     * 无备注
     */
    public void setID_ID(String ID_ID) {
        this.ID_ID = ID_ID;
    }

    /**
     * 无备注
     */
    public String getID_ID() {
        return ID_ID;
    }


    /**
     * 无备注
     */
    public void setID_MAINID(String ID_MAINID) {
        this.ID_MAINID = ID_MAINID;
    }

    /**
     * 无备注
     */
    public String getID_MAINID() {
        return ID_MAINID;
    }


    /**
     * 无备注
     */
    public void setID_ROWID(String ID_ROWID) {
        this.ID_ROWID = ID_ROWID;
    }

    /**
     * 无备注
     */
    public String getID_ROWID() {
        return ID_ROWID;
    }


    /**
     * 无备注
     */
    public void setID_ACCOUNTNAME(String ID_ACCOUNTNAME) {
        this.ID_ACCOUNTNAME = ID_ACCOUNTNAME;
    }

    /**
     * 无备注
     */
    public String getID_ACCOUNTNAME() {
        return ID_ACCOUNTNAME;
    }


    /**
     * 无备注
     */
    public void setID_SERVICENM(String ID_SERVICENM) {
        this.ID_SERVICENM = ID_SERVICENM;
    }

    /**
     * 无备注
     */
    public String getID_SERVICENM() {
        return ID_SERVICENM;
    }


    /**
     * 无备注
     */
    public void setID_SERVICETYPE(String ID_SERVICETYPE) {
        this.ID_SERVICETYPE = ID_SERVICETYPE;
    }

    /**
     * 无备注
     */
    public String getID_SERVICETYPE() {
        return ID_SERVICETYPE;
    }




    /**
     * 无备注
     */
    public void setID_UNIT(String ID_UNIT) {
        this.ID_UNIT = ID_UNIT;
    }

    /**
     * 无备注
     */
    public String getID_UNIT() {
        return ID_UNIT;
    }


    public BigDecimal getID_NUM() {
        return ID_NUM;
    }

    public void setID_NUM(BigDecimal ID_NUM) {
        this.ID_NUM = ID_NUM;
    }

    public BigDecimal getID_PRICE() {
        return ID_PRICE;
    }

    public void setID_PRICE(BigDecimal ID_PRICE) {
        this.ID_PRICE = ID_PRICE;
    }

    public BigDecimal getID_NOTAXAMOUNT() {
        return ID_NOTAXAMOUNT;
    }

    public void setID_NOTAXAMOUNT(BigDecimal ID_NOTAXAMOUNT) {
        this.ID_NOTAXAMOUNT = ID_NOTAXAMOUNT;
    }

    public BigDecimal getID_TAX() {
        return ID_TAX;
    }

    public void setID_TAX(BigDecimal ID_TAX) {
        this.ID_TAX = ID_TAX;
    }

    public BigDecimal getID_TAXAMOUNT() {
        return ID_TAXAMOUNT;
    }

    public void setID_TAXAMOUNT(BigDecimal ID_TAXAMOUNT) {
        this.ID_TAXAMOUNT = ID_TAXAMOUNT;
    }
}
